Skip to content
OpenPostDocs
OpenPostDocs
Auth

Login with email and password

POST/auth/login

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/auth/login" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "password": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/AuthOutputBody.json",  "email_delivery_status": "sent",  "email_verification_email": "string",  "email_verification_id": "string",  "mfa_methods": [    "string"  ],  "mfa_token": "string",  "requires_email_verification": true,  "requires_mfa": true,  "token": "string",  "user": {    "$schema": "https://example.com/api/v1/schemas/UserProfile.json",    "avatar_url": "string",    "composer_experience": "specialized",    "created_at": "2019-08-24T14:15:22Z",    "display_name": "string",    "email": "string",    "email_verified": true,    "has_password": true,    "id": "string",    "is_admin": true,    "is_managed": true,    "legal_acceptance_required": true,    "legal_accepted_at": "2019-08-24T14:15:22Z",    "managed_organization_name": "string",    "password_usable": true,    "privacy_version": "string",    "public_profile_enabled": true,    "public_profile_visible_fields": [      "string"    ],    "terms_version": "string",    "username": "string"  }}